#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ERemoteClientPairWifiAPResult {
    OK = 1,
    Fail = 2,
    NetworkError = 3,
    Unauthorized = 4,
    NoDonglePresent = 5,
    Timeout = 6,
    Canceled = 7,
}

impl ERemoteClientPairWifiAPResult {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::OK as i32 => Some(Self::OK),
            x if x == Self::Fail as i32 => Some(Self::Fail),
            x if x == Self::NetworkError as i32 => Some(Self::NetworkError),
            x if x == Self::Unauthorized as i32 => Some(Self::Unauthorized),
            x if x == Self::NoDonglePresent as i32 => Some(Self::NoDonglePresent),
            x if x == Self::Timeout as i32 => Some(Self::Timeout),
            x if x == Self::Canceled as i32 => Some(Self::Canceled),
            _ => None,
        }
    }
}
